com.trendmicro.ds.platform.rest.api

## Interface IEventBasedTaskAPI

-     @Path(value="/tasks/event-based")
       @Produces(value="application/json")
       @Consumes(value="application/json")
      public interface IEventBasedTaskAPI

  Interface to the Event-Based Task API.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `CreateEventBasedTaskResponse` | `createTask(java.lang.String sessionID, CreateEventBasedTaskRequest request)` Create a new event-based task.
    `void` | `deleteTask(java.lang.String sessionID, int taskID)` Delete an event-based task.
    `ListEventBasedTasksResponse` | `listTasks(java.lang.String sessionID)` List event-based tasks.

- - ### Method Detail

    - #### createTask

          @POST
          CreateEventBasedTaskResponse createTask(@CookieParam(value="sID")
                                                        java.lang.String sessionID,
                                                        CreateEventBasedTaskRequest request)
                                                 throws java.lang.Exception

      Create a new event-based task.
      Parameters:
        `sessionID` - a session ID returned by the Authentication API.
        `request` - a `CreateEventBasedTaskRequest` describing the details of the event-based task.
      Returns:
        a `CreateEventBasedTaskResponse` carrying the ID of the created task.
      Throws:
        `java.lang.Exception`

    - #### listTasks

          @GET
          ListEventBasedTasksResponse listTasks(@CookieParam(value="sID")
                                                     java.lang.String sessionID)
                                              throws java.lang.Exception

      List event-based tasks.
      Parameters:
        `sessionID` - a session ID returned by the Authentication API.
      Returns:
        a `ListEventBasedTasksResponse` with the event-based task details.
      Throws:
        `java.lang.Exception`

    - #### deleteTask

          @DELETE
           @Path(value="{id}")
          void deleteTask(@CookieParam(value="sID")
                                                       java.lang.String sessionID,
                                                       @PathParam(value="id")
                                                       int taskID)
                                                throws java.lang.Exception

      Delete an event-based task.
      Parameters:
        `sessionID` - a session ID returned by the Authentication API.
        `taskID` - the task ID.
      Throws:
        `java.lang.Exception`

Copyright © 2017 Trend Micro Inc. All Rights Reserved.